QueueManager (Mule ESB 2.2.1 API)
Keywords: org.mule.util.queue.QueueManager interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.util.queue
Interface QueueManager

All Superinterfaces:
  Startable, Stoppable

All Known Implementing Classes:
  TransactionalQueueManager

    public interface QueueManager

extends Startable, Stoppable

A Queue manager is responsible for manageing one or more Queue resources and providing common support fot transactions and persistence

Field Summary

Fields inherited from interface org.mule.api.lifecycle.Startable
`PHASE_NAME`

Fields inherited from interface org.mule.api.lifecycle.Stoppable
`PHASE_NAME`

Method Summary
`QueuePersistenceStrategy` | `getMemoryPersistenceStrategy()`
`QueuePersistenceStrategy` | `getPersistenceStrategy()`
`QueueSession` | `getQueueSession()`
`void` | `setDefaultQueueConfiguration(QueueConfiguration config)`
`void` | `setMemoryPersistenceStrategy(QueuePersistenceStrategy memoryPersistenceStrategy)`
`void` | `setPersistenceStrategy(QueuePersistenceStrategy persistenceStrategy)`
`void` | `setQueueConfiguration(String queueName, QueueConfiguration config)`

Methods inherited from interface org.mule.api.lifecycle.Startable
`start`

Methods inherited from interface org.mule.api.lifecycle.Stoppable
`stop`

Method Detail

### getQueueSession

    QueueSession getQueueSession()

### setDefaultQueueConfiguration

    void setDefaultQueueConfiguration(QueueConfiguration config)

### setQueueConfiguration

    void setQueueConfiguration(String queueName,
                               QueueConfiguration config)

### getPersistenceStrategy

    QueuePersistenceStrategy getPersistenceStrategy()

  Returns:
    Returns the persistenceStrategy.

### setPersistenceStrategy

    void setPersistenceStrategy(QueuePersistenceStrategy persistenceStrategy)

  Parameters:
    `persistenceStrategy` - The persistenceStrategy to set.

### getMemoryPersistenceStrategy

    QueuePersistenceStrategy getMemoryPersistenceStrategy()

### setMemoryPersistenceStrategy

    void setMemoryPersistenceStrategy(QueuePersistenceStrategy memoryPersistenceStrategy)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2009 MuleSource, Inc.. All Rights Reserved.